<?php
//For versioninfos just take a look at /modules/translationwizard/versions.txt

// Okay, someone wants to use this outside of normal game flow.. no real harm
define("OVERRIDE_FORCED_NAV",true);
// Translate Untranslated Strings
// Originally Written by Christian Rutsch
// Slightly modified by JT Traub

function translationwizard_getmoduleinfo(){
	$info = array(
	    "name"=>"Translation Wizard",
		"version"=>"1.38",
		"author"=>"Originally Written by Christian Rutsch`n`4Slightly modified by JT Traub`n`@enhanced by  Oliver Brendel",
		"category"=>"General",
		"download"=>"http://dragonprime.net/users/Nightborn/translationwizard.zip",
		"settings"=>array(
		"Translation Wizard - Preferences,title",
		"blocktrans"=>"Block the Untranslated Text in the grotto,bool|0",
		"query"=>"Use nested query (don't works with lower mysql servers),bool|0",
		"page"=>"How many results per page for fixing/checking,int|20",
		"Restrictions are: search+edit the translations table + truncate untranslated,note",
		"restricted"=>"Has the wizard restrictions for some users?,bool|0",
		"This is only for skilled users! Its not finding everything yet,note",
		"and your untranslated gets filled quickly if you begin to use this at start,note",
		"but if you want to scan new modules automatically on install - here it is,note",
		"autoscan"=>"Scan automatically modules upon install and insert into untranslated,bool|0",
		),
		"prefs"=>array(
		    "Translation Wizard - User prefs,title",
			"language"=>"Languages for the Wizard,enum,en,English,de,Deutsch,pt,Portuguese,dk,Danish,es,Espaol,it,Italiano,ru,Russian,ee, Estonian(Eesti),kr,Korean",
			"Note: don't change this if you don't need to... it is set up in the Translation Wizard!,note",
			"allowed"=>"Does this user have unrestricted access to the wizard?,bool|0",
			"Note: This is only active if the restriction settings is 'true' in the module settings,note",
			"coding"=>"What is your coding table,enum,KS_C_5601-1987,KS_C_5601-1987 Korean,cp-866, cp-866 Cyrillic,win-1251, win-1251 Russian,KOI8-R, KOI8-R Russian,ISO-8859-1, ISO-8859-1 general,UTF-8, UTF-8,BIG5, BIG5 traditional Chinese,GB2312,GB2312 simplified Chinese,Shift_JIS, Shift_JIS Japanese,EUC-JP, EUC-JP Japanese",
			"view"=>"Use advanced view (shows more),bool|0",
		),
		);
    return $info;
}

function translationwizard_install(){
	module_addhook("superuser");
	module_addhook("header-modules");
	if (is_module_active("translationwizard")) output("`c`b`$ Module Translationwizard updated`b`c`n`n");
	if (db_table_exists(db_prefix("temp_translations"))){
	} else {
		db_query("CREATE TABLE ".db_prefix("temp_translations")."(
  `tid` int(11) NOT NULL auto_increment,
  `language` varchar(10) NOT NULL default '',
  `uri` varchar(255) NOT NULL default '',
  `intext` text NOT NULL,
  `outtext` text NOT NULL,
  `author` varchar(50) default NULL,
  `version` varchar(50) default NULL,
  PRIMARY KEY  (`tid`),
  KEY `language` (`language`,`uri`),
  KEY `uri` (`uri`)
) Type=MyISAM");
	}
	return true;
}

function translationwizard_uninstall()
{
  output ("Performing Uninstall on Translation Wizard. Thank you for using!`n`n");
 if(db_table_exists(db_prefix("temp_translations"))){
	db_query("DROP TABLE ".db_prefix("temp_translations"));
	}
  return true;
}


function translationwizard_dohook($hookname, $args){
	global $session;
	require_once("./modules/translationwizard/translationwizard_dohook.php");
	return $args;
}

function translationwizard_run(){
	global $session,$logd_version;
	check_su_access(SU_IS_TRANSLATOR); //check again Superuser Access
	$op = httpget('op');
	page_header("Translation Wizard");
	//get some standards
	$languageschema=get_module_pref("language","translationwizard");
	$coding=get_module_pref("coding","translationwizard");
	if (!$coding) $coding="ISO-8859-1";
	$viewsimple=get_module_pref("view","translationwizard");
	$mode = httpget('mode');
	$namespace = httppost('ns');
	$from = httpget('from');
	$page = get_module_setting(page);
	debug("Language:".$languageschema." -- From:".$from);
	if (httpget('ns')<>"" && $namespace=="") $namespace=httpget('ns'); //if there is no post then there is maybe something to get
	$trans = httppost("transtext");
	if (is_array($trans))  //setting for any intexts you might receive
		{
		$transintext = $trans;
		}else
		{
		if ($trans) $transintext = array($trans);
		else $transintext = array();
		}
	$trans = httppost("transtextout");
	if (is_array($trans)) //setting for any outtexts you might receive
		{
		$transouttext = $trans;
		}else
		{
		if ($trans) $transouttext = array($trans);
		else $transouttext = array();
		}
	debug("Mode currently: ".$mode." -- Operation: ".$op);
	//end of the header
	if ($op=="")  $op="default";
	require("./modules/translationwizard/$op.php");
require_once("lib/superusernav.php");
superusernav();
addnav(array("`bSwitch to %s view`b",translate_inline($viewsimple?"simple":"advanced")),"runmodule.php?module=translationwizard&op=switchview&from=".rawurlencode("module=translationwizard&op=$op&mode=$mode"));
addnav("Operations");
addnav("H?Help","runmodule.php?module=translationwizard&op=help");
addnav("O?Overview","runmodule.php?module=translationwizard&op=overview");
addnav("R?Restart Translator", "runmodule.php?module=translationwizard");
addnav("N?Translate by Namespace", "runmodule.php?module=translationwizard&op=list");
addnav("C?Check for duplicate entries", "runmodule.php?module=translationwizard&op=check");
addnav("F?Fix already translated in table untranslated", "runmodule.php?module=translationwizard&op=fix");
addnav("k?Check for known translations","runmodule.php?module=translationwizard&op=known");
if (get_module_setting('restricted')&& $viewsimple)
	{
	if (get_module_pref('allowed'))
		{
		addnav("s?Search+Edit the translations table","runmodule.php?module=translationwizard&op=searchandedit");
		addnav("s?Search+Replace in the translations table","runmodule.php?module=translationwizard&op=searchandreplace");
		addnav("T?Truncate untranslated table","runmodule.php?module=translationwizard&op=truncate");
		} else
		{
		$norights=translate_inline("(you don't have rights)");
		addnav(array("s?Search+Edit the translations table %s",$norights),"");
		addnav(array("s?Search+Replace in the translations table %s",$norights),"");
		addnav(array("T?Truncate untranslated table %s",$norights),"");
		}
	} else if ($viewsimple)
	{
	addnav("s?Search+Edit the translations table","runmodule.php?module=translationwizard&op=searchandedit");
	addnav("s?Search+Replace in the translations table","runmodule.php?module=translationwizard&op=searchandreplace");
	addnav("T?Truncate untranslated table","runmodule.php?module=translationwizard&op=truncate");
	}
if ($viewsimple) {
	addnav("Central Translations");
	addnav("P?Pull","runmodule.php?module=translationwizard&op=pull");
	addnav("P?Push","runmodule.php?module=translationwizard&op=push");
	addnav("I?Insert missing translations","runmodule.php?module=translationwizard&op=insert_central");
	addnav("h?Check for known translations","runmodule.php?module=translationwizard&op=known&central=1");
	addnav("u?Truncate pulled translations table","runmodule.php?module=translationwizard&op=truncate&central=1");
}
addnav("Your current scheme:");
if ($languageschema<>'')
	{addnav($languageschema,"!!!addraw!!!",true);} else
	{
	addnav(translate_inline("None, please select a scheme!"),"!!!addraw!!!",true);
	$languageschema="en"; //in case some dummy just wants to click ahead he gets English as a default
	}

addnav("h?Change current scheme","runmodule.php?module=translationwizard&op=changescheme");
addnav("Miscellaneous");
addnav("Show Versionlog","runmodule.php?module=translationwizard&op=showversionlog");
if ($viewsimple) addnav("Scan Modules","runmodule.php?module=translationwizard&op=scanmodules");
page_footer();
}

?>
