<?
output("`b`^This is a general help how to use this Wizard.`0`b");
output_notl("`n`n");

output("`b`i`$ Operations`0`i`b");
output_notl("`n");
output("`i`bOverview`i`b gives you a brief overview over your current translations,pulled translations and untranslated tables.");
output_notl("`n`n");
output("`i`bRestart Translator`i`b lets you start the translator with a random pattern of translations.");
output_notl(" ");
output("You will have two boxes and get after each save a new to-do-translation.");
output_notl("`n`n");
output("`i`bTranslate by Namespace`i`b lets you have a pulldown menu for the module/file the translation originates from.");
output_notl(" ");
output("You can edit/delete single or multiple untranslated rows in the untranslated table for the selected module.");
output_notl("`n`n");
output("`i`bCheck for duplicate entries`i`b checks your translations table for duplicate rows, which means it checks for intext=intext AND namespace=namespace AND language=language.");
output_notl(" ");
output("The outtext may differ. You can delete automatically all duplicate rows or manually one-by-one. In some cases,");
output_notl(" ");
output("you have to repeat the procedure to make your translations table free of these entries.");
output_notl("`n`n");
output("`i`bFix already translated`i`b means all entries in the untranslated table with matching intext,language and namespace like a row in the translations table will be deleted. This prevents double translations.");
output_notl("`n`n");
output("`i`bTruncate untranslated table`i`b wipes your untranslated table clear, like the name suggests.");
output_notl("`n`n");
output("`i`bCheck for known translations`i`b will check if any intext from the untranslated table occurs in the translations table with ANY namespace yet language=language.");
output_notl(" ");
output("You will get a list of entries you can either delete, choose which translation you want to use or edit+insert a translation.");
output_notl(" ");
output("The delete function refers to the entry in the untranslated table, so nothing will be deleted from your translations table.");
output_notl("`n`n");
output("`i`bSearch+Edit the translations table`i`b will let you search and edit (even delete) entries in your translations table. Useful if you want to correct a misspelled translation or the like.");
output_notl("`n`n");

output("`b`i`$ Central translations`0`i`b");
output_notl("`n");
output("`i`bPull`b`i lets you select what namespaces (based on your installed modules) to pull into a pulled translations table (which is created once you install this wizard).");
output_notl(" ");
output("This is the first action for you if you want to fill or complete your translations table via central translations.");
output_notl("`n`n");
output("`i`bPush`b`i shows a namespace of your liking ready to paste in a file. The file is ready to get pulled. (Do this if you want to send your translations in)");
output_notl("`n`n");
output("`i`bInsert missing translations`b`i will insert `bany`b row from the pulled translations table you don't have with intext,language,namespace yet in your translations table.");
output_notl("`n`n");
output("`i`bCheck for known translations`b`i works like the other one, except that it checks with the pulled. You can pull some namespaces and then click yourself through.");
output_notl(" ");
output("This would be if you don't want to insert anything automatically.");
output_notl("`n`n");
output("`i`bTruncate pulled translations table`i`b wipes your pulled table clear, like the name suggests.");
output_notl("`n`n");
output("`b`i`$ Chance scheme`0`i`b");
output_notl("`n");
output("`i`bChange translation scheme`i`b will select you the language you want to translate for. This won't effect some operations like fixing your translations table or deleting duplicates.");
output_notl("`n`n");
output("If you are not sure what you want, do the following: `iFix already translated`i->`iCheck for duplicate entries`i->`iCheck for known translations`i->`iTranslate by namespace`i.");
output_notl(" ");
output("This ensures a safe translation without putting redundancies (and thus more work) into it.");
output_notl("`n`n");
?>